package com.example;

import org.aspectj.lang.annotation.Before;

public class Ship {

    private String name;
    private Position position;

    public Ship(String name, Position position) {
        this.name = name;
        this.position = position;
    }

    public void updatePosition(Position position) {
        System.out.println("Updating position: " + position);
        this.position = position;
    }

    public String getName() {
        return name;
    }
}
